Package org.opensaml.xmlsec.encryption.impl

# Class EncryptionPropertiesImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.EncryptionPropertiesImpl

All Implemented Interfaces:
  `XMLObject`, `EncryptionProperties`

public class EncryptionPropertiesImpl extends AbstractXMLObject implements EncryptionProperties
Concrete implementation of `EncryptionProperties`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<EncryptionProperty>`
`encryptionProperties`
EncryptionProperty child elements.
`private String`
`id`
Id attribute value.

### Fields inherited from interface org.opensaml.xmlsec.encryption.EncryptionProperties

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ID_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EncryptionPropertiesImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<EncryptionProperty>`
`getEncryptionProperties()`
Get the list of EncryptionProperty child elements.
`String`
`getID()`
Get the ID attribute that uniquely identifies this element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setID(String newID)`
Set the ID attribute that uniquely identifies this element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### id

@Nullable private String id
Id attribute value.

### encryptionProperties

@Nonnull private final XMLObjectChildrenList<EncryptionProperty> encryptionProperties
EncryptionProperty child elements.

## Constructor Details

### EncryptionPropertiesImpl

protected EncryptionPropertiesImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getID

@Nullable public String getID()
Get the ID attribute that uniquely identifies this element.

Specified by:
  `getID` in interface `EncryptionProperties`
Returns:
  ID attribute

### setID

public void setID(@Nullable String newID)
Set the ID attribute that uniquely identifies this element.

Specified by:
  `setID` in interface `EncryptionProperties`
Parameters:
  `newID` - the new ID attribute value

### getEncryptionProperties

@Nonnull @Live public List<EncryptionProperty> getEncryptionProperties()
Get the list of EncryptionProperty child elements.

Specified by:
  `getEncryptionProperties` in interface `EncryptionProperties`
Returns:
  the List of EncryptionProperty child elements

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements